﻿
@{
    ViewData["Title"] = "Tài khoản";
    Layout = "~/Views/Shared/_Layout_VanPhongSo.cshtml";
}

<div class="iq-card">
    <div class="iq-card-body">
        <div class="row" id="box_title_table">
            <div class="col-md-12 mb-3">
                <h5 id="title_table" class="text-primary card-title">
                    <i class="ri-file-list-3-line"></i> Danh sách tài khoản
                </h5>
                <a class="btn btn-sm btn-success text-white" data-toggle="modal" data-target="#modal_User_Add"><i class="ri-file-add-fill"></i>Thêm tài khoản</a>
            </div>
        </div>


        <div id="gridContainer">Đang tải dữ liệu....</div>
    </div>
</div>


<div class="modal fade" id="modal_User_Add" tabindex="-1" role="dialog" aria-labelledby="example_modal_User_Add" aria-hidden="true">
    <form action="#" method="post" id="form_User_Add">
        <div class="modal-dialog modal-dialog-scrollable modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="example_modal_User_Add"> <i class="fa fa-plus"></i> Tạo tài khoản</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <div class="modal-body">
                    <div class="w-100">
                        <div class="alert alert-danger" style="display:none;">
                            <button class="close" data-close="alert"></button> Vui lòng nhập đủ thông tin bắc buộc (*)
                        </div>
                        <div class="alert alert-success" style="display:none;">
                            <button class="close" data-close="alert"></button> Thêm thành công
                        </div>

                        <div class="form-group">
                            <label for="validationDefault01">Tên đăng nhập</label>
                            <input type="text" class="form-control TenDangNhap" name="TenDangNhap">
                        </div>

                        <div class="form-group">
                            <label for="validationDefault01">Mật khẩu</label>
                            <input type="text" class="form-control MatKhau" name="MatKhau" value="123456">
                        </div>

                        <div class="form-group">
                            <label for="validationDefault01">Email</label>
                            <input type="text" class="form-control Email" name="Email">
                        </div>
                        <div class="form-group">
                            <label>Mã nhân viên</label>
                            <input type="text" class="form-control MaNhanVien" name="MaNhanVien">
                        </div>
                        <div class="form-group">
                            <label>Họ và tên</label>
                            <input type="text" class="form-control HoTen" name="HoTen">
                        </div>

                    </div>
                </div>

                <div class="modal-footer">
                    <button class="btn btn-primary mr-3 d-none btn_reset" type="reset">Reset Form</button>
                    <button class="btn btn-primary mr-3 ok" type="submit">Thêm</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
                </div>
            </div>
        </div>
    </form>
</div>


<div class="modal fade" id="modal_User_Edit" tabindex="-1" role="dialog" aria-labelledby="example_modal_User_Edit" aria-hidden="true">
    <form action="#" method="post" id="form_User_Edit">
        <div class="modal-dialog modal-dialog-scrollable modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="example_modal_User_Edit"> <i class="fa fa-pencil-square-o"></i> Cập nhật tài khoản</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <div class="modal-body">
                    <div class="w-100">
                        <div class="alert alert-danger" style="display:none;">
                            <button class="close" data-close="alert"></button> Vui lòng nhập đủ thông tin bắc buộc (*)
                        </div>
                        <div class="alert alert-success" style="display:none;">
                            <button class="close" data-close="alert"></button> Cập nhật thành công
                        </div>

                        <div class="form-group" style="display:none">
                            <label>ID</label>
                            <input type="text" class="form-control Id" name="Id" readonly>
                        </div>
                        <div class="form-group">
                            <label for="validationDefault01">Tên đăng nhập</label>
                            <input type="text" class="form-control TenDangNhap" readonly name="TenDangNhap">
                        </div>
                        <div class="form-group">
                            <label for="validationDefault01">Email</label>
                            <input type="text" class="form-control Email" readonly name="Email">
                        </div>
                        <div class="form-group">
                            <label>Mã nhân viên</label>
                            <input type="text" class="form-control MaNhanVien" name="MaNhanVien">
                        </div>
                        <div class="form-group">
                            <label>Họ và tên</label>
                            <input type="text" class="form-control HoTen" name="HoTen">
                        </div>

                    </div>
                </div>

                <div class="modal-footer">
                    <button class="btn btn-primary mr-3 d-none btn_reset" type="reset">Reset Form</button>
                    <button class="btn btn-primary mr-3 ok" type="submit">Cập nhật</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
                </div>
            </div>
        </div>
    </form>
</div>



